Update Holiday
curl --request PATCH \
--url https://api.voxo.co/v2/admin/holidays/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.voxo.co/v2/admin/holidays/{id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.voxo.co/v2/admin/holidays/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"tenantId": 123,
"name": "<string>",
"isRecurring": true,
"startDate": "<string>",
"endDate": "<string>",
"isClosed": true,
"month": 123,
"day": 123,
"dayOfWeek": 123,
"weekOfMonth": 123,
"operatingHours": "<unknown>",
"notifyDaysBefore": 123,
"businessHours": {
"id": 123,
"name": "<string>"
},
"mediaFile": {
"id": 123,
"name": "<string>"
}
}Holidays
Update Holiday
Update an existing holiday
PATCH
/
v2
/
admin
/
holidays
/
{id}
Update Holiday
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Pattern:
^[1-9]\d*$Body
application/json
Minimum string length:
3Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$month
Option 1 · enum<number>Option 2 · enum<number>Option 3 · enum<number>Option 4 · enum<number>Option 5 · enum<number>Option 6 · enum<number>Option 7 · enum<number>Option 8 · enum<number>Option 9 · enum<number>Option 10 · enum<number>Option 11 · enum<number>Option 12 · enum<number>
Available options:
1 day
Option 1 · enum<number>Option 2 · enum<number>Option 3 · enum<number>Option 4 · enum<number>Option 5 · enum<number>Option 6 · enum<number>Option 7 · enum<number>Option 8 · enum<number>Option 9 · enum<number>Option 10 · enum<number>Option 11 · enum<number>Option 12 · enum<number>Option 13 · enum<number>Option 14 · enum<number>Option 15 · enum<number>Option 16 · enum<number>Option 17 · enum<number>Option 18 · enum<number>Option 19 · enum<number>Option 20 · enum<number>Option 21 · enum<number>Option 22 · enum<number>Option 23 · enum<number>Option 24 · enum<number>Option 25 · enum<number>Option 26 · enum<number>Option 27 · enum<number>Option 28 · enum<number>Option 29 · enum<number>Option 30 · enum<number>Option 31 · enum<number>
Available options:
1 dayOfWeek
Option 1 · enum<number>Option 2 · enum<number>Option 3 · enum<number>Option 4 · enum<number>Option 5 · enum<number>Option 6 · enum<number>Option 7 · enum<number>
Available options:
0 weekOfMonth
Option 1 · enum<number>Option 2 · enum<number>Option 3 · enum<number>Option 4 · enum<number>Option 5 · enum<number>
Available options:
1 Show child attributes
Show child attributes
Required range:
x > 0Required range:
x >= 0Response
200 - application/json
Updated holiday
Holiday ID
Tenant ID
Holiday name
Whether the holiday recurs
Start date (non-recurring)
End date (non-recurring)
Whether closed for the whole day
Recurrence month (1-12)
Recurrence day (1-31)
Recurrence day of week (0-6)
Recurrence week of month (1-5)
Operating hours or null
Notify days before
Associated business hours profile
Show child attributes
Show child attributes
Associated media file
Show child attributes
Show child attributes
Was this page helpful?